Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# CSDKInterfaceDlg Class Reference

`#include <SDKInterfaceDlg.h>`

## Public Types
enum | { IDD = IDD_SDKINTERFACE_DIALOG }
## Public Methods
| CSDKInterfaceDlg (CWnd *pParent=NULL)
## Data Fields
CGlView * | GlRenderCurrent
CStatic * | pclStaticCurrent
CPoint | oldPoint
CPoint | m_MouseDownPoint
HDC | m_hDC
## Protected Methods
virtual void | DoDataExchange (CDataExchange *pDX)
virtual BOOL | OnInitDialog ()
afx_msg void | OnSysCommand (UINT nID, LPARAM lParam)
afx_msg void | OnPaint ()
afx_msg HCURSOR | OnQueryDragIcon ()
## Protected Attributes
HICON | m_hIcon

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  IDD |
Definition at line 24 of file SDKInterfaceDlg.h.
    00025 { IDD = IDD_SDKINTERFACE_DIALOG };

## Constructor & Destructor Documentation

CSDKInterfaceDlg | ( | CWnd * | pParent = NULL | ) |

## Member Function Documentation

void DoDataExchange | ( | CDataExchange * | pDX | ) | `[protected, virtual]`

| Definition at line 55 of file SDKInterfaceDlg.cpp. References IDC_EDITSELECTIMAGE, IDC_EDITSELECTMASK, and IDC_LISTINTERFACE.
    00057 {
    00058         CDialog::DoDataExchange(pDX);
    00059         DDX_Text(pDX, IDC_EDITSELECTIMAGE, m_EditImage);
    00060         DDX_Text(pDX, IDC_EDITSELECTMASK, m_EditMask);
    00061         DDX_Control(pDX, IDC_LISTINTERFACE, m_ControlFileContent);

virtual BOOL OnInitDialog | ( |  | ) | `[protected, virtual]`

void OnPaint | ( |  | ) | `[protected]`

| Definition at line 160 of file SDKInterfaceDlg.cpp. References GlRenderCurrent, and m_hIcon.
    00162 {
    00163         if (IsIconic())
    00164         {
    00165                 CPaintDC dc(this); // device context for painting
    00166
    00167                 SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);
    00168
    00169                 // Center icon in client rectangle
    00170                 int cxIcon = GetSystemMetrics(SM_CXICON);
    00171                 int cyIcon = GetSystemMetrics(SM_CYICON);
    00172                 CRect rect;
    00173                 GetClientRect(&rect);
    00174                 int x = (rect.Width() - cxIcon + 1) / 2;
    00175                 int y = (rect.Height() - cyIcon + 1) / 2;
    00176
    00177                 // Draw the icon
    00178                 dc.DrawIcon(x, y, m_hIcon);
    00179         }
    00180         else
    00181         {
    00182                 CDialog::OnPaint();
    00183         }
    00184         GlRenderCurrent->DrawGLScene();

HCURSOR OnQueryDragIcon | ( |  | ) | `[protected]`

| Definition at line 188 of file SDKInterfaceDlg.cpp.
    00190 {
    00191         return static_cast<HCURSOR>(m_hIcon);

void OnSysCommand | ( | UINT | nID,
|  | LPARAM | lParam
| ) | `[protected]`

| Definition at line 143 of file SDKInterfaceDlg.cpp.
    00145 {
    00146         if ((nID & 0xFFF0) == IDM_ABOUTBOX)
    00147         {
    00148                 CAboutDlg dlgAbout;
    00149                 dlgAbout.DoModal();
    00150         }
    00151         else
    00152         {
    00153                 CDialog::OnSysCommand(nID, lParam);
    00154         }

## Field Documentation

CGlView* GlRenderCurrent

| Definition at line 18 of file SDKInterfaceDlg.h. Referenced by OnPaint().

HDC m_hDC

| Definition at line 22 of file SDKInterfaceDlg.h.

HICON m_hIcon`[protected]`

| Definition at line 32 of file SDKInterfaceDlg.h. Referenced by OnPaint().

CPoint m_MouseDownPoint

| Definition at line 21 of file SDKInterfaceDlg.h.

CPoint oldPoint

| Definition at line 20 of file SDKInterfaceDlg.h.

CStatic* pclStaticCurrent

| Definition at line 19 of file SDKInterfaceDlg.h.

The documentation for this class was generated from the following files:

- SDKInterfaceDlg.h
- SDKInterfaceDlg.cpp